#!/bin/bash

rm /tmp/easyportal.tar*

if [ $1 ] ; then

  wget -P /tmp/ $2

  if [ $? == 0 ] ; then
    tar -C $1 -xf /tmp/easyportal.tar
    if [ $? == 0 ] ; then
      chown -R www-data $1
      chmod +x $1/scripts/*
      echo "Das Update wurde erfolgreich ausgefuehrt!"
      exit 0
    else
      echo "/tmp/easyportal.tar konnte nicht entpackt werden!"
      exit 1
    fi 
  else
      echo "$1 konnte nicht heruntergeladen werden!"
      exit 1
  fi

else
  echo "Es wurde kein Zielverzeichnis angegeben!"
  exit 1
fi
